Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.parser
Class XPathParser

    java.lang.Object
      org.apache.commons.jxpath.ri.parser.XPathParser

All Implemented Interfaces:
  XPathParserConstants

    public class XPathParser

extends Object
implements XPathParserConstants

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`XPathParserTokenManager` | `token_source`

Fields inherited from interface org.apache.commons.jxpath.ri.parser.XPathParserConstants
`AND, AXIS_ANCESTOR, AXIS_ANCESTOR_OR_SELF, AXIS_ATTRIBUTE, AXIS_CHILD, AXIS_DESCENDANT, AXIS_DESCENDANT_OR_SELF, AXIS_FOLLOWING, AXIS_FOLLOWING_SIBLING, AXIS_NAMESPACE, AXIS_PARENT, AXIS_PRECEDING, AXIS_PRECEDING_SIBLING, AXIS_SELF, BaseChar, CombiningChar, COMMENT, DEFAULT, Digit, DIV, EOF, EQ, Extender, FUNCTION_BOOLEAN, FUNCTION_CEILING, FUNCTION_CONCAT, FUNCTION_CONTAINS, FUNCTION_COUNT, FUNCTION_FALSE, FUNCTION_FLOOR, FUNCTION_FORMAT_NUMBER, FUNCTION_ID, FUNCTION_KEY, FUNCTION_LANG, FUNCTION_LAST, FUNCTION_LOCAL_NAME, FUNCTION_NAME, FUNCTION_NAMESPACE_URI, FUNCTION_NORMALIZE_SPACE, FUNCTION_NOT, FUNCTION_NULL, FUNCTION_NUMBER, FUNCTION_POSITION, FUNCTION_ROUND, FUNCTION_STARTS_WITH, FUNCTION_STRING, FUNCTION_STRING_LENGTH, FUNCTION_SUBSTRING, FUNCTION_SUBSTRING_AFTER, FUNCTION_SUBSTRING_BEFORE, FUNCTION_SUM, FUNCTION_TRANSLATE, FUNCTION_TRUE, GT, GTE, Ideographic, Letter, Literal, LT, LTE, MINUS, MOD, NCName, NEQ, NODE, Number, OR, PI, PLUS, SLASH, SLASHSLASH, TEXT, tokenImage, UnicodeDigit, UNION, VARIABLE`

Constructor Summary
`XPathParser(InputStream stream)`
`XPathParser(Reader stream)`
`XPathParser(XPathParserTokenManager tm)`

Method Summary
`int` | `AbbreviatedAxisSpecifier()`
`Object` | `AbsoluteLocationPath()`
`Object` | `AdditiveExpr()`
`Object` | `AndExpr()`
`Object` | `Argument()`
`ArrayList` | `ArgumentList()`
`int` | `AxisName()`
`int` | `AxisSpecifier()`
`Object` | `CoreFunctionCall()`
`int` | `CoreFunctionName()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`Object` | `EqualityExpr()`
`Object` | `Expression()`
`Object` | `FilterExpr()`
`Object` | `FunctionCall()`
`Object` | `FunctionName()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`Object` | `LocationPath()`
`void` | `LocationStep(ArrayList steps)`
`Object` | `MultiplicativeExpr()`
`String` | `NCName_Without_CoreFunctions()`
`String` | `NCName()`
`void` | `NodeTest(ArrayList steps)`
`int` | `NodeType()`
`Object` | `OrExpr()`
`Object` | `parseExpression()`
`Object` | `PathExpr()`
`Object` | `Predicate()`
`Object` | `PrimaryExpr()`
`Object` | `QName_Without_CoreFunctions()`
`Object` | `QName()`
`void` | `ReInit(InputStream stream)`
`void` | `ReInit(Reader stream)`
`void` | `ReInit(XPathParserTokenManager tm)`
`Object` | `RelationalExpr()`
`Object` | `RelativeLocationPath()`
`void` | `setCompiler(Compiler compiler)`
`Object` | `SubtractiveExpr()`
`Object` | `UnaryExpr()`
`Object` | `UnionExpr()`
`Object` | `VariableReference()`
`Object` | `WildcardName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public XPathParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### XPathParser

    public XPathParser(InputStream stream)

### XPathParser

    public XPathParser(Reader stream)

### XPathParser

    public XPathParser(XPathParserTokenManager tm)

Method Detail

### setCompiler

    public void setCompiler(Compiler compiler)

### NCName

    public final String NCName()
                        throws ParseException

  Throws:
    `ParseException`

### NCName_Without_CoreFunctions

    public final String NCName_Without_CoreFunctions()
                                              throws ParseException

  Throws:
    `ParseException`

### CoreFunctionName

    public final int CoreFunctionName()
                               throws ParseException

  Throws:
    `ParseException`

### QName

    public final Object QName()
                       throws ParseException

  Throws:
    `ParseException`

### QName_Without_CoreFunctions

    public final Object QName_Without_CoreFunctions()
                                             throws ParseException

  Throws:
    `ParseException`

### parseExpression

    public final Object parseExpression()
                                 throws ParseException

  Throws:
    `ParseException`

### LocationPath

    public final Object LocationPath()
                              throws ParseException

  Throws:
    `ParseException`

### AbsoluteLocationPath

    public final Object AbsoluteLocationPath()
                                      throws ParseException

  Throws:
    `ParseException`

### RelativeLocationPath

    public final Object RelativeLocationPath()
                                      throws ParseException

  Throws:
    `ParseException`

### LocationStep

    public final void LocationStep(ArrayList steps)
                            throws ParseException

  Throws:
    `ParseException`

### NodeTest

    public final void NodeTest(ArrayList steps)
                        throws ParseException

  Throws:
    `ParseException`

### AxisSpecifier

    public final int AxisSpecifier()
                            throws ParseException

  Throws:
    `ParseException`

### AxisName

    public final int AxisName()
                       throws ParseException

  Throws:
    `ParseException`

### Predicate

    public final Object Predicate()
                           throws ParseException

  Throws:
    `ParseException`

### AbbreviatedAxisSpecifier

    public final int AbbreviatedAxisSpecifier()
                                       throws ParseException

  Throws:
    `ParseException`

### Expression

    public final Object Expression()
                            throws ParseException

  Throws:
    `ParseException`

### PrimaryExpr

    public final Object PrimaryExpr()
                             throws ParseException

  Throws:
    `ParseException`

### FunctionCall

    public final Object FunctionCall()
                              throws ParseException

  Throws:
    `ParseException`

### CoreFunctionCall

    public final Object CoreFunctionCall()
                                  throws ParseException

  Throws:
    `ParseException`

### ArgumentList

    public final ArrayList ArgumentList()
                                 throws ParseException

  Throws:
    `ParseException`

### Argument

    public final Object Argument()
                          throws ParseException

  Throws:
    `ParseException`

### UnionExpr

    public final Object UnionExpr()
                           throws ParseException

  Throws:
    `ParseException`

### PathExpr

    public final Object PathExpr()
                          throws ParseException

  Throws:
    `ParseException`

### FilterExpr

    public final Object FilterExpr()
                            throws ParseException

  Throws:
    `ParseException`

### OrExpr

    public final Object OrExpr()
                        throws ParseException

  Throws:
    `ParseException`

### AndExpr

    public final Object AndExpr()
                         throws ParseException

  Throws:
    `ParseException`

### EqualityExpr

    public final Object EqualityExpr()
                              throws ParseException

  Throws:
    `ParseException`

### RelationalExpr

    public final Object RelationalExpr()
                                throws ParseException

  Throws:
    `ParseException`

### AdditiveExpr

    public final Object AdditiveExpr()
                              throws ParseException

  Throws:
    `ParseException`

### SubtractiveExpr

    public final Object SubtractiveExpr()
                                 throws ParseException

  Throws:
    `ParseException`

### MultiplicativeExpr

    public final Object MultiplicativeExpr()
                                    throws ParseException

  Throws:
    `ParseException`

### UnaryExpr

    public final Object UnaryExpr()
                           throws ParseException

  Throws:
    `ParseException`

### FunctionName

    public final Object FunctionName()
                              throws ParseException

  Throws:
    `ParseException`

### VariableReference

    public final Object VariableReference()
                                   throws ParseException

  Throws:
    `ParseException`

### WildcardName

    public final Object WildcardName()
                              throws ParseException

  Throws:
    `ParseException`

### NodeType

    public final int NodeType()
                       throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(XPathParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.